<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FB ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input" />
  <Section Name="Output" />
  <Section Name="InOut" />
  <Section Name="Static">
    <Member Name="Port1_senden" Datatype="&quot;Port1_Daten_senden&quot;" />
  </Section>
  <Section Name="Temp" />
  <Section Name="Constant" />
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>Daten_Host_senden</Name>
      <Namespace />
      <Number>9100</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="21">
    <StlToken Text="CALL" />
    <Access Scope="Call">
      <CallInfo BlockType="FB">
        <Instance Scope="LocalVariable">
          <Component Name="Port1_senden" />
        </Instance>
      </CallInfo>
    </Access>
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="25">
    <LineComment>
      <Text>Send-FIFO wird zu voll:</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="27">
    <StlToken Text="L" />
    <Access Scope="GlobalVariable">
      <Symbol>
        <Component Name="Port1_SendFIFO" />
        <Component Name="ANZAHL" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>70</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="31">
    <StlToken Text="GT_I" />
  </StlStatement>
  <StlStatement UId="32">
    <StlToken Text="S" />
    <Access Scope="GlobalVariable">
      <Symbol>
        <Component Name="6_HMI_Err_UH06_AMR" />
        <Component Name="Kommunikation" />
        <Component Name="SendFIFO_Port1" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="35">
    <StlToken Text="CAC" />
  </StlStatement>
  <StlStatement UId="36">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>40</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="38">
    <StlToken Text="LT_I" />
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="R" />
    <Access Scope="GlobalVariable">
      <Symbol>
        <Component Name="6_HMI_Err_UH06_AMR" />
        <Component Name="Kommunikation" />
        <Component Name="SendFIFO_Port1" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Daten über Port 1 senden</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="24">
    <StlToken Text="BE" />
  </StlStatement>
  <StlStatement UId="25">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="17" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="18" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="19" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>Daten an HOST senden</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="1A" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FB>
</Document>